org.jfree.data.xy

## Interface IntervalXYZDataset

- All Superinterfaces:
    Dataset, SeriesDataset, XYDataset, XYZDataset

      public interface IntervalXYZDataset
      extends XYZDataset

  An extension of the `XYZDataset` interface that allows a range of data to be defined for any of the X values, the Y values, and the Z values.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Number` | `getEndXValue(int series, int item)` Returns the ending X value for the specified series and item.
    `java.lang.Number` | `getEndYValue(int series, int item)` Returns the ending Y value for the specified series and item.
    `java.lang.Number` | `getEndZValue(int series, int item)` Returns the ending Z value for the specified series and item.
    `java.lang.Number` | `getStartXValue(int series, int item)` Returns the starting X value for the specified series and item.
    `java.lang.Number` | `getStartYValue(int series, int item)` Returns the starting Y value for the specified series and item.
    `java.lang.Number` | `getStartZValue(int series, int item)` Returns the starting Z value for the specified series and item.

    - ### Methods inherited from interface org.jfree.data.xy.XYZDataset

      `getZ, getZValue`

    - ### Methods inherited from interface org.jfree.data.xy.XYDataset

      `getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

    - ### Methods inherited from interface org.jfree.data.general.SeriesDataset

      `getSeriesCount, getSeriesKey, indexOf`

    - ### Methods inherited from interface org.jfree.data.general.Dataset

      `addChangeListener, getGroup, removeChangeListener, setGroup`

- - ### Method Detail

    - #### getStartXValue

          java.lang.Number getStartXValue(int series,
                                          int item)

      Returns the starting X value for the specified series and item.
      Parameters:
        `series` - the series (zero-based index).
        `item` - the item within a series (zero-based index).
      Returns:
        The starting X value for the specified series and item.

    - #### getEndXValue

          java.lang.Number getEndXValue(int series,
                                        int item)

      Returns the ending X value for the specified series and item.
      Parameters:
        `series` - the series (zero-based index).
        `item` - the item within a series (zero-based index).
      Returns:
        The ending X value for the specified series and item.

    - #### getStartYValue

          java.lang.Number getStartYValue(int series,
                                          int item)

      Returns the starting Y value for the specified series and item.
      Parameters:
        `series` - the series (zero-based index).
        `item` - the item within a series (zero-based index).
      Returns:
        The starting Y value for the specified series and item.

    - #### getEndYValue

          java.lang.Number getEndYValue(int series,
                                        int item)

      Returns the ending Y value for the specified series and item.
      Parameters:
        `series` - the series (zero-based index).
        `item` - the item within a series (zero-based index).
      Returns:
        The ending Y value for the specified series and item.

    - #### getStartZValue

          java.lang.Number getStartZValue(int series,
                                          int item)

      Returns the starting Z value for the specified series and item.
      Parameters:
        `series` - the series (zero-based index).
        `item` - the item within a series (zero-based index).
      Returns:
        The starting Z value for the specified series and item.

    - #### getEndZValue

          java.lang.Number getEndZValue(int series,
                                        int item)

      Returns the ending Z value for the specified series and item.
      Parameters:
        `series` - the series (zero-based index).
        `item` - the item within a series (zero-based index).
      Returns:
        The ending Z value for the specified series and item.